## org.eclipse.datatools.connectivity.ui.status
Interface IConnectionExceptionHandler

    public interface IConnectionExceptionHandler

When a connection error occurs, the SQLException generated may not always contain useful information. A ConnectionExceptionHandler can take the exception and context and use it to generate a new SQLException that contains a better message.

Method Summary
`java.sql.SQLException` `generateConnectionException(java.lang.Throwable throwable, IConnection connection)` Generates a SQLException with a platform-specific, meaningful message

Method Detail

### generateConnectionException

    java.sql.SQLException generateConnectionException(java.lang.Throwable throwable,
                                                      IConnection connection)

  Generates a SQLException with a platform-specific, meaningful message

  Parameters:
    `throwable,` - the original Throwable object, possibly null, to be processed.
    `connection,` - IConnection object that generated this Throwable
  Returns:
    SQLException with a more user-friendly message